commit:     6e95b4d1bec607238ad51cbd37646f1302010769
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 23 19:03:20 2017 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Mon Oct 23 19:03:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e95b4d1

dev-libs/libburn: Disable the use of cdio as recommended by upstream.

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-libs/libburn/libburn-1.4.8-r1.ebuild | 38 ++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/dev-libs/libburn/libburn-1.4.8-r1.ebuild 
b/dev-libs/libburn/libburn-1.4.8-r1.ebuild
new file mode 100644
index 00000000000..f07d9a34228
--- /dev/null
+++ b/dev-libs/libburn/libburn-1.4.8-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Open-source library for reading, mastering and writing optical 
discs"
+HOMEPAGE="https://dev.lovelyhq.com/libburnia/web/wikis/home";
+SRC_URI="http://files.libburnia-project.org/releases/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug static-libs track-src-odirect"
+
+RDEPEND=""
+DEPEND="$RDEPEND
+       virtual/pkgconfig"
+
+src_configure() {
+       econf \
+       $(use_enable static-libs static) \
+       $(use_enable track-src-odirect) \
+       --disable-ldconfig-at-install \
+       $(use_enable debug)
+}
+
+src_install() {
+       default
+
+       dodoc CONTRIBUTORS doc/{comments,*.txt}
+
+       docinto cdrskin
+       dodoc cdrskin/{*.txt,README}
+       docinto cdrskin/html
+       dodoc cdrskin/cdrskin_eng.html
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to